<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>Xuc Xivo Unified Communication Framework &mdash; Xuc 2.0.7 documentation</title>
    
    <link rel="stylesheet" href="_static/nature.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    './',
        VERSION:     '2.0.7',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <link rel="top" title="Xuc 2.0.7 documentation" href="#" />
    <link rel="next" title="Xuc server installation" href="installation/installation.html" /> 
  </head>
  <body>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="installation/installation.html" title="Xuc server installation"
             accesskey="N">next</a> |</li>
        <li><a href="#">Xuc 2.0.7 documentation</a> &raquo;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body">
            
  <div class="section" id="xuc-xivo-unified-communication-framework">
<h1>Xuc Xivo Unified Communication Framework<a class="headerlink" href="#xuc-xivo-unified-communication-framework" title="Permalink to this headline">¶</a></h1>
<p>Xuc is an application suite developed by <a class="reference external" href="http://www.avencall.com/">Avencall</a> Group, based on several free existing components
including <a class="reference external" href="http://documentation.xivo.io/">XiVO</a>, and our own developments to provide communication services api and application to businesses.
Xuc is build on <a class="reference external" href="http://www.playframework.com/">Play</a> using intensively <a class="reference external" href="http://akka.io/">Akka</a> and written in <a class="reference external" href="http://www.scala-lang.org/">Scala</a></p>
<p>XiVO is <a class="reference external" href="http://www.gnu.org/philosophy/free-sw.html">free software</a>. Most of its distinctive components, and Xuc as a whole, are distributed
under the <em>LGPLv3 license</em>.</p>
<p>Xuc is providing</p>
<ul class="simple">
<li>Javascript API</li>
<li>Web services</li>
<li>Sample application</li>
<li>Simple agent application</li>
<li>Simple unified communication application pratix</li>
<li>Contact center supervision</li>
<li>Contact center statistics</li>
</ul>
<p>Xuc is composed of 3 modules</p>
<ul class="simple">
<li>The server module</li>
<li>The core module</li>
<li>The statistic module.</li>
</ul>
<div class="section" id="table-of-contents">
<h2>Table of Contents<a class="headerlink" href="#table-of-contents" title="Permalink to this headline">¶</a></h2>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="installation/installation.html">Xuc server installation</a><ul>
<li class="toctree-l2"><a class="reference internal" href="installation/installation.html#prerequisite">Prerequisite</a></li>
<li class="toctree-l2"><a class="reference internal" href="installation/installation.html#post-installation">Post installation</a></li>
<li class="toctree-l2"><a class="reference internal" href="installation/installation.html#starting">Starting</a></li>
<li class="toctree-l2"><a class="reference internal" href="installation/installation.html#check">Check</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="developers/developers.html">Developer</a><ul>
<li class="toctree-l2"><a class="reference internal" href="developers/developers.html#building-and-packaging">Building and packaging</a></li>
<li class="toctree-l2"><a class="reference internal" href="developers/developers.html#documentation-guidelines">Documentation Guidelines</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="api/javascriptapi.html">Javascript API</a><ul>
<li class="toctree-l2"><a class="reference internal" href="api/javascriptapi.html#introduction">Introduction</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/javascriptapi.html#integration-principles">Integration Principles</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/javascriptapi.html#sample-application">Sample Application</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/javascriptapi.html#messages">Messages</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/javascriptapi.html#methods">Methods</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="api/rest.html">Rest API</a><ul>
<li class="toctree-l2"><a class="reference internal" href="api/rest.html#general-form">General form</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/rest.html#events">Events</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/rest.html#connection">Connection</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/rest.html#dnd">DND</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/rest.html#dial">Dial</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/rest.html#forward">Forward</a></li>
<li class="toctree-l2"><a class="reference internal" href="api/rest.html#handshake">Handshake</a></li>
</ul>
</li>
</ul>
</div>
</div>
<div class="section" id="release-notes">
<h2>Release Notes<a class="headerlink" href="#release-notes" title="Permalink to this headline">¶</a></h2>
<div class="section" id="id1">
<h3>2.0.8<a class="headerlink" href="#id1" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li>new cti commands setAgentQueue, removeAgentFromQueue, getList</li>
<li>Added ccmanager application</li>
</ul>
</div>
<div class="section" id="id2">
<h3>2.0.4<a class="headerlink" href="#id2" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li>Play upgraded to 2.3.3, Scala to 2.11.1</li>
</ul>
</div>
<div class="section" id="id3">
<h3>1.9.0<a class="headerlink" href="#id3" title="Permalink to this headline">¶</a></h3>
<ul class="simple">
<li>Removed javascript events : AgentLogin, AgentReady, AgentPaused replaced by agent state events.</li>
<li>Removed javascript toggleLogin function</li>
<li>Can supervise agents without having all users connected or started</li>
</ul>
</div>
</div>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar">
        <div class="sphinxsidebarwrapper">
  <h3><a href="#">Table Of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">Xuc Xivo Unified Communication Framework</a><ul>
<li><a class="reference internal" href="#table-of-contents">Table of Contents</a></li>
<li><a class="reference internal" href="#release-notes">Release Notes</a><ul>
<li><a class="reference internal" href="#id1">2.0.8</a></li>
<li><a class="reference internal" href="#id2">2.0.4</a></li>
<li><a class="reference internal" href="#id3">1.9.0</a></li>
</ul>
</li>
</ul>
</li>
</ul>

  <h4>Next topic</h4>
  <p class="topless"><a href="installation/installation.html"
                        title="next chapter">Xuc server installation</a></p>
  <h3>This Page</h3>
  <ul class="this-page-menu">
    <li><a href="_sources/index.txt"
           rel="nofollow">Show Source</a></li>
  </ul>
<div id="searchbox" style="display: none">
  <h3>Quick search</h3>
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="installation/installation.html" title="Xuc server installation"
             >next</a> |</li>
        <li><a href="#">Xuc 2.0.7 documentation</a> &raquo;</li> 
      </ul>
    </div>
    <div class="footer">
        &copy; Copyright 2013-2014, Avencall.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 1.2.2.
    </div>
  </body>
</html>